---
# Cop supports --auto-correct.
Naming/RescuedExceptionsVariableName:
  Exclude:
    - 'app/models/ci/pipeline_artifact.rb'
    - 'app/models/concerns/database_event_tracking.rb'
    - 'app/services/branches/delete_service.rb'
    - 'app/services/branches/validate_new_service.rb'
    - 'app/services/ci/job_artifacts/create_service.rb'
    - 'app/services/ci/parse_dotenv_artifact_service.rb'
    - 'app/services/ci/register_job_service.rb'
    - 'app/services/ci/stuck_builds/drop_helpers.rb'
    - 'app/services/clusters/applications/prometheus_update_service.rb'
    - 'app/services/commits/change_service.rb'
    - 'app/services/commits/create_service.rb'
    - 'app/services/dependency_proxy/head_manifest_service.rb'
    - 'app/services/dependency_proxy/request_token_service.rb'
    - 'app/services/design_management/copy_design_collection/copy_service.rb'
    - 'app/services/git/base_hooks_service.rb'
    - 'app/services/google_cloud/create_cloudsql_instance_service.rb'
    - 'app/services/google_cloud/setup_cloudsql_instance_service.rb'
    - 'app/services/grafana/proxy_service.rb'
    - 'app/services/groups/update_shared_runners_service.rb'
    - 'app/services/issues/relative_position_rebalancing_service.rb'
    - 'app/services/jira/requests/base.rb'
    - 'app/services/jira_import/start_import_service.rb'
    - 'app/services/jira_import/users_importer.rb'
    - 'app/services/lfs/lock_file_service.rb'
    - 'app/services/lfs/locks_finder_service.rb'
    - 'app/services/lfs/push_service.rb'
    - 'app/services/lfs/unlock_file_service.rb'
    - 'app/services/merge_requests/merge_to_ref_service.rb'
    - 'app/services/merge_requests/mergeability_check_service.rb'
    - 'app/services/metrics/dashboard/base_service.rb'
    - 'app/services/metrics/dashboard/panel_preview_service.rb'
    - 'app/services/projects/cleanup_service.rb'
    - 'app/services/projects/destroy_service.rb'
    - 'app/services/projects/hashed_storage/base_repository_service.rb'
    - 'app/services/projects/transfer_service.rb'
    - 'app/services/prometheus/proxy_service.rb'
    - 'app/services/quick_actions/interpret_service.rb'
    - 'app/services/resource_access_tokens/revoke_service.rb'
    - 'app/services/tags/create_service.rb'
    - 'app/services/tags/destroy_service.rb'
    - 'app/services/users/validate_manual_otp_service.rb'
    - 'app/services/users/validate_push_otp_service.rb'
    - 'app/services/verify_pages_domain_service.rb'
    - 'app/services/web_hooks/log_destroy_service.rb'
    - 'app/validators/js_regex_validator.rb'
    - 'app/workers/concerns/limited_capacity/worker.rb'
    - 'app/workers/concerns/packages/cleanup_artifact_worker.rb'
    - 'app/workers/gitlab/jira_import/import_issue_worker.rb'
    - 'app/workers/gitlab_service_ping_worker.rb'
    - 'app/workers/issuable_export_csv_worker.rb'
    - 'app/workers/namespaces/root_statistics_worker.rb'
    - 'app/workers/namespaces/schedule_aggregation_worker.rb'
    - 'app/workers/packages/go/sync_packages_worker.rb'
    - 'app/workers/project_destroy_worker.rb'
    - 'app/workers/projects/git_garbage_collect_worker.rb'
    - 'app/workers/projects/inactive_projects_deletion_notification_worker.rb'
    - 'app/workers/remove_expired_members_worker.rb'
    - 'app/workers/users/create_statistics_worker.rb'
    - 'config/initializers/enumerator_next_patch.rb'
    - 'config/initializers/rspec_profiling.rb'
    - 'config/initializers/wikicloth_redos_patch.rb'
    - 'db/post_migrate/20210606143426_add_index_for_container_registry_access_level.rb'
    - 'db/post_migrate/20211206162601_cleanup_after_add_primary_email_to_emails_if_user_confirmed.rb'
    - 'db/post_migrate/20220318111729_cleanup_after_fixing_issue_when_admin_changed_primary_email.rb'
    - 'db/post_migrate/20220504083836_cleanup_after_fixing_regression_with_new_users_emails.rb'
    - 'ee/app/finders/projects/integrations/jira/by_ids_finder.rb'
    - 'ee/app/graphql/mutations/issues/promote_to_epic.rb'
    - 'ee/app/graphql/mutations/issues/set_epic.rb'
    - 'ee/app/helpers/ee/kerberos_spnego_helper.rb'
    - 'ee/app/models/concerns/geo/replicable_model.rb'
    - 'ee/app/models/integrations/github.rb'
    - 'ee/app/services/app_sec/dast/profiles/create_service.rb'
    - 'ee/app/services/app_sec/dast/profiles/update_service.rb'
    - 'ee/app/services/app_sec/dast/scans/create_service.rb'
    - 'ee/app/services/app_sec/dast/site_validations/find_or_create_service.rb'
    - 'ee/app/services/app_sec/dast/site_validations/revoke_service.rb'
    - 'ee/app/services/app_sec/fuzzing/coverage/corpuses/create_service.rb'
    - 'ee/app/services/arkose/user_verification_service.rb'
    - 'ee/app/services/ci/sync_reports_to_approval_rules_service.rb'
    - 'ee/app/services/elastic/process_bookkeeping_service.rb'
    - 'ee/app/services/geo/file_registry_removal_service.rb'
    - 'ee/app/services/geo/framework_repository_sync_service.rb'
    - 'ee/app/services/geo/move_repository_service.rb'
    - 'ee/app/services/geo/repository_base_sync_service.rb'
    - 'ee/app/services/gitlab_subscriptions/preview_billable_user_change_service.rb'
    - 'ee/app/services/incident_management/oncall_rotations/create_service.rb'
    - 'ee/app/services/incident_management/oncall_rotations/edit_service.rb'
    - 'ee/app/services/namespaces/free_user_cap/deactivate_members_over_limit_service.rb'
    - 'ee/app/services/namespaces/free_user_cap/remove_group_group_links_outside_hierarchy_service.rb'
    - 'ee/app/services/namespaces/free_user_cap/remove_project_group_links_outside_hierarchy_service.rb'
    - 'ee/app/services/namespaces/free_user_cap/update_prevent_sharing_outside_hierarchy_service.rb'
    - 'ee/app/services/projects/licenses/create_policy_service.rb'
    - 'ee/app/services/projects/licenses/update_policy_service.rb'
    - 'ee/app/services/security/ingestion/ingest_report_service.rb'
    - 'ee/app/services/security/ingestion/tasks/update_vulnerability_uuids.rb'
    - 'ee/app/services/security/orchestration/assign_service.rb'
    - 'ee/app/services/security/store_grouped_scans_service.rb'
    - 'ee/app/services/security/store_scan_service.rb'
    - 'ee/app/services/security/token_revocation_service.rb'
    - 'ee/app/services/software_license_policies/create_service.rb'
    - 'ee/app/services/software_license_policies/update_service.rb'
    - 'ee/app/workers/adjourned_project_deletion_worker.rb'
    - 'ee/app/workers/geo/file_removal_worker.rb'
    - 'ee/app/workers/geo/repositories_clean_up_worker.rb'
    - 'ee/app/workers/geo/scheduler/scheduler_worker.rb'
    - 'ee/app/workers/namespaces/free_user_cap/remediation_worker.rb'
    - 'ee/app/workers/refresh_license_compliance_checks_worker.rb'
    - 'ee/app/workers/repository_update_mirror_worker.rb'
    - 'ee/app/workers/sync_seat_link_request_worker.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_uuids_for_security_findings.rb'
    - 'ee/lib/elastic/instance_proxy_util.rb'
    - 'ee/lib/gitlab/audit/auditor.rb'
    - 'ee/lib/gitlab/auth/smartcard/base.rb'
    - 'ee/lib/gitlab/ci/parsers/license_compliance/license_scanning.rb'
    - 'ee/lib/gitlab/elastic/bulk_indexer.rb'
    - 'ee/lib/gitlab/spdx/catalogue_gateway.rb'
    - 'ee/lib/tasks/gitlab/seed/metrics.rake'
    - 'lib/api/helpers.rb'
    - 'lib/api/helpers/label_helpers.rb'
    - 'lib/api/issues.rb'
    - 'lib/api/project_milestones.rb'
    - 'lib/api/projects.rb'
    - 'lib/api/repositories.rb'
    - 'lib/api/v3/github.rb'
    - 'lib/gitaly/server.rb'
    - 'lib/gitlab/auth/ldap/adapter.rb'
    - 'lib/gitlab/auth/otp/strategies/forti_authenticator/manual_otp.rb'
    - 'lib/gitlab/auth/otp/strategies/forti_authenticator/push_otp.rb'
    - 'lib/gitlab/background_migration/recalculate_vulnerabilities_occurrences_uuid.rb'
    - 'lib/gitlab/background_task.rb'
    - 'lib/gitlab/ci/config/external/file/artifact.rb'
    - 'lib/gitlab/ci/pipeline/chain/config/process.rb'
    - 'lib/gitlab/ci/pipeline/chain/validate/external.rb'
    - 'lib/gitlab/ci/reports/codequality_reports.rb'
    - 'lib/gitlab/database/background_migration/batched_job.rb'
    - 'lib/gitlab/database/background_migration/batched_migration_wrapper.rb'
    - 'lib/gitlab/database/batch_counter.rb'
    - 'lib/gitlab/database/load_balancing/load_balancer.rb'
    - 'lib/gitlab/database/load_balancing/service_discovery.rb'
    - 'lib/gitlab/database/lock_writes_manager.rb'
    - 'lib/gitlab/database/reindexing/grafana_notifier.rb'
    - 'lib/gitlab/git/keep_around.rb'
    - 'lib/gitlab/gitaly_client/call.rb'
    - 'lib/gitlab/gitaly_client/commit_service.rb'
    - 'lib/gitlab/gitaly_client/operation_service.rb'
    - 'lib/gitlab/gitaly_client/ref_service.rb'
    - 'lib/gitlab/gitaly_client/repository_service.rb'
    - 'lib/gitlab/hashed_storage/migrator.rb'
    - 'lib/gitlab/health_checks/base_abstract_check.rb'
    - 'lib/gitlab/import_export/merge_request_parser.rb'
    - 'lib/gitlab/instrumentation/redis_interceptor.rb'
    - 'lib/gitlab/issuables_count_for_state.rb'
    - 'lib/gitlab/jira_import/issues_importer.rb'
    - 'lib/gitlab/json.rb'
    - 'lib/gitlab/jwt_token.rb'
    - 'lib/gitlab/kubernetes/namespace.rb'
    - 'lib/gitlab/metrics/dashboard/stages/panel_ids_inserter.rb'
    - 'lib/gitlab/metrics/rack_middleware.rb'
    - 'lib/gitlab/middleware/handle_ip_spoof_attack_error.rb'
    - 'lib/gitlab/prometheus/queries/validate_query.rb'
    - 'lib/gitlab/prometheus_client.rb'
    - 'lib/gitlab/sanitizers/exif.rb'
    - 'lib/gitlab/sidekiq_logging/structured_logger.rb'
    - 'lib/gitlab/tcp_checker.rb'
    - 'lib/gitlab/template_parser/parser.rb'
    - 'lib/gitlab/tracking.rb'
    - 'lib/gitlab/url_blocker.rb'
    - 'lib/gitlab/usage/metrics/aggregates/aggregate.rb'
    - 'lib/gitlab/usage/service_ping/instrumented_payload.rb'
    - 'lib/gitlab/usage_data.rb'
    - 'lib/gitlab/utils/usage_data.rb'
    - 'lib/gitlab/verify/batch_verifier.rb'
    - 'lib/gitlab/wiki_pages/front_matter_parser.rb'
    - 'lib/microsoft_teams/notifier.rb'
    - 'lib/system_check/incoming_email/imap_authentication_check.rb'
    - 'lib/tasks/gitlab/db/validate_config.rake'
    - 'lib/tasks/gitlab/setup.rake'
    - 'lib/tasks/gitlab/storage.rake'
    - 'lib/tasks/lint.rake'
    - 'qa/qa/resource/user_gpg.rb'
    - 'scripts/review_apps/automated_cleanup.rb'
    - 'scripts/trigger-build.rb'
    - 'spec/commands/metrics_server/metrics_server_spec.rb'
    - 'spec/db/docs_spec.rb'
    - 'spec/lib/bulk_imports/network_error_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/host_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/load_balancer_spec.rb'
    - 'spec/lib/gitlab/error_tracking_spec.rb'
    - 'spec/lib/gitlab/sanitizers/exception_message_spec.rb'
    - 'spec/support/capybara.rb'
    - 'spec/support/helpers/capybara_helpers.rb'
    - 'tooling/lib/tooling/helm3_client.rb'
    - 'tooling/lib/tooling/kubernetes_client.rb'
